###########################################################################
# Header
# -------------------------------------------------------------------------
# - Test code    : PatchTest05.feature
# - Description  : Print out to screen and printer
# - Created by   : Mike Shaw
# - Created date : 21 Dec 2020
#
###########################################################################

Feature: Test05 : Print out to screen and printer

	Scenario: Login scenario
		#  Login
		Given the user is logged into Sage X3 with "param:loginType" using user name "param:loginUserName" and password "param:loginPassword"
		When the user selects the "param:endPointName1" entry on endpoint panel
		Then the "param:endPointName1" endpoint is selected

	Scenario: description
		# Preview report
		Given the user opens the "AIMP" function
		Then the user waits 30 seconds
		# Check the function is opened
		Then the "Enter report parameters" screen is displayed

		# Left panel: select the required data using the left list
		Given the user selects the data table of left panel
		When the user clicks the "Reports" link on the left panel

		# Search cell: use the search cell to filter the Report code
		Then the user selects search cell with header: "Report code"
		And the user adds the text "ADOVAL" in selected cell and hits enter key
		And the user selects cell with text: "ADOVAL" and column header: "Report code"
		And the user clicks on the selected cell

		# Verification the Report code has been selected
		Given the user selects the text field with name: "Report code"
		Then the value of the selected text field is "ADOVAL"

		# Change the destination to PREVIEW
		And the user selects the text field with name: "Destination"
		And the user writes "PREVIEW" to the selected text field and hits tab key
		Then the user clicks the "Print" secondary action button on the right panel
		#  Make sure the report finishes
		And the user waits 60 seconds
		Given the user waits for a report printout with message "Report available in storage area."
		Then a tracker appears signalling completion
		And the tracker has the job title "Parameter values"
		And the tracker has the phase "Job finished"
		And the tracker has the message "Report available in storage area"
		# download the report
		And the user clicks "Download" button on the tracker
		# dismiss the tracker
		And the user clicks to dismiss the tracker

		# Also send the report to printer
		And the user selects the text field with name: "Destination"
		And the user writes "PRINT" to the selected text field and hits tab key
		Then the user clicks the "Print" secondary action button on the right panel

		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Logout scenario
		#  Logout
		Then the user logs-out from the system
