###########################################################################
# Header
# -------------------------------------------------------------------------
# - Test code    : PatchTest11a.feature
# - Description  : Import SIH transaction
# - Created by   : Mike Shaw
# - Created date : 28 February 2022
#
###########################################################################

Feature: Test11a : Import SIH transaction

	Scenario: Login scenario
		#  Login
		Given the user is logged into Sage X3 with "param:loginType" using user name "param:loginUserName" and password "param:loginPassword"
		When the user selects the "param:endPointName1" entry on endpoint panel
		Then the "param:endPointName1" endpoint is selected

	Scenario: Import SIH
		#Open function by code
		Given the user opens the "GIMPOBJ" function
		Then the user waits 30 seconds
		And the user selects the text field with name: "Template"
		And the user writes "SIH" to the selected text field and hits tab key
		# Pick Server location
		Given the user selects the radio buttons group with X3 field name: "IMPOBJ_TYPEXP"
		When the user clicks on "Client" radio button of the selected radio buttons group
		Then the radio button "Server" of the selected radio buttons group is not selected
		And the radio button "Client" of the selected radio buttons group is selected
		#  Provide the filename
		#  Server
		# And the user selects the text field with name: "Data file"
		# And the user writes "[TMP]/mzSIHImport.txt" to the selected text field
		# Then the user clicks the "OK" button in the header
		# And the user waits 30 seconds
		# Client
		Then the user clicks the "OK" button in the header
		Given the user adds the file "D:\\SageSupport\\X3ImportFiles\\mzSIHImport.txt" to the file upload component
		Then the user clicks the "OK" button in the header
		#  The import job should then run and produce a log file
		Then a log panel appears
		## check 1 record created
		Given the user selects the main data table of the page
		Then the user selects row that has the text "created" in column with X3 field name: "LECFIC_LIGNE"
		And the user selects cell with X3 field name: "LECFIC_LIGNE" of selected row
		And the value of the selected cell has string pattern "1 records created"
		##  Grab the invoice number
		And the user selects the main log panel of the page
		When the user selects the log panel line containing text "Creation of"
		Then the user extracts the value from the selected log panel line starting at 13 for 15 characters and stores it in key "ENV_MZSIHNUMBER"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: find the new invoice
		Given the user opens the "GESSIH" function
		When the user selects the data table in the popup
		Then the user selects cell with text: "ALL Full entry invoice" and column header: ""
		And the user clicks on the selected cell
		Then the user waits 30 seconds
		Then the "Sales invoice ALL : Full entry invoice" screen is displayed
		And the user waits 2 seconds
		# Left panel: select the required data using the left list
		Given the user selects the data table of left panel
		When the user clicks the "Invoices" link on the left panel
		# Search cell: use the search cell to filter the Invoice Number
		Then the user selects search cell with header: "Invoice no."
		And the user adds the stored text with key "ENV_MZSIHNUMBER" in selected cell and hits enter key
		And the user selects cell with column header: "Invoice no." and row number: 1
		And the user clicks on the selected cell
		# Verification the Invoice Number has been selected
		Given the user selects the text field with name: "Invoice no."
		Then the value of the selected text field matches the stored text with key "ENV_MZSIHNUMBER"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Logout scenario
		#  Logout
		Then the user logs-out from the system
