###########################################################################
# Header
# -------------------------------------------------------------------------
# - Test code    : PatchTest11b.feature
# - Description  : Import PAY transaction
# - Created by   : Mike Shaw
# - Created date : 28 February 2022
#
###########################################################################

Feature: Test11 : Import PAY transaction

	Scenario: Login scenario
		#  Login
		Given the user is logged into Sage X3 with "param:loginType" using user name "param:loginUserName" and password "param:loginPassword"
		When the user selects the "param:endPointName1" entry on endpoint panel
		Then the "param:endPointName1" endpoint is selected

	Scenario: Import PAY
		#Open function by code
		Given the user opens the "GIMPOBJ" function
		And the user selects the text field with name: "Template"
		And the user writes "PAY" to the selected text field and hits tab key
		# Pick Server location
		Given the user selects the radio buttons group with X3 field name: "IMPOBJ_TYPEXP"
		When the user clicks on "Server" radio button of the selected radio buttons group
		Then the radio button "Server" of the selected radio buttons group is selected
		And the radio button "Client" of the selected radio buttons group is not selected
		#  Provide the filename
		And the user selects the text field with name: "Data file"
		And the user writes "[TMP]/mzPAYImport.txt" to the selected text field
		Then the user clicks the "OK" button in the header
		And the user waits 30 seconds
		#  The import job should then run and produce a log file
		Then a log panel appears
		##  Grab the first receipt number
		And the user selects the main log panel of the page
		When the user selects the log panel line containing text "Creation of"
		Then the user extracts the value from the selected log panel line starting at 13 for 20 characters and stores it in key "ENV_MZRECNO"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: find the new receipt
		Given the user opens the "GESPAY" function
		When the user selects the data table in the popup
		Then the user selects cell with text: "BNPAY BRI Cheque Run" and column header: ""
		And the user clicks on the selected cell
		And the user waits 30 seconds
		Then the "Cheque Run" screen is displayed
		And the user waits 5 seconds
		# Left panel: select the required data using the left list
		Given the user selects the data table of left panel
		When the user clicks the "Payments" link on the left panel
		# Search cell: use the search cell to filter the Invoice Number
		Then the user selects search cell with header: "Payment no."
		And the user adds the stored text with key "ENV_MZRECNO" in selected cell and hits enter key
		And the user selects cell with column header: "Payment no." and row number: 1
		And the user clicks on the selected cell
		# Verification the Invoice Number has been selected
		Given the user selects the text field with name: "Payment no."
		Then the value of the selected text field matches the stored text with key "ENV_MZRECNO"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel


	Scenario: Logout scenario
		#  Logout
		Then the user logs-out from the system
