###########################################################################
# Header
# -------------------------------------------------------------------------
# - Test code    : PatchTest11c.feature
# - Description  : Import ITF transaction
# - Created by   : Mike Shaw
# - Created date : 28 February 2022
#
###########################################################################

Feature: Test11b : Import ITF transaction

	Scenario: Login scenario
		#  Login
		Given the user is logged into Sage X3 with "param:loginType" using user name "param:loginUserName" and password "param:loginPassword"
		When the user selects the "param:endPointName1" entry on endpoint panel
		Then the "param:endPointName1" endpoint is selected

	Scenario: Check creating Sales Order fails
		#Open Sales order function
		Given the user opens the "GESSOH" function

		#Select sales order transaction
		When the user selects the data table in the popup
		Then the user selects cell with text: "ALL Full entry" and column header: ""
		And the user clicks on the selected cell
		Then the user waits 30 seconds

		Then the "Sales order ALL : Full entry" screen is displayed

		#Entering in creation mode.
		When the user clicks the "New" main action button on the right panel

		#Set header information
		Then the user selects the text field with name: "Sales site"
		And the user writes "GB022" to the selected text field
		And the user selects the text field with name: "Sold-to"
		And the user writes "GB007" to the selected text field

		#Select management section
		#Verification of the Tax rule & currency used on the sales invoice.
		Then the user clicks the "Management" tab selected by title
		And the user selects the text field with name: "Tax rule"
		And the value of the selected text field is "DMG"

		#Set delivery information
		Then the user clicks the "Delivery" tab selected by title
		And the user selects the text field with name: "Shipment site"
		And the user writes "GB022" to the selected text field

		#Set sales order lines information
		When the user clicks the "Lines" tab selected by title
		When the user selects the fixed data table of section: "Lines"
		Then the user selects last fixed cell with header: "Product"
		And the user adds the text "ALUMSHEET" in selected cell and hits tab key
		## Ignoring the "ALUMSHEET : Access to this Product unauthorized (Obsolete)" message
		Given an alert box appears with the title "Warning"
		And the user clicks the "Ok" option in the alert box
		## Fix for problem ?
		#   	Then an alert box with the text containing "Mandatory field" appears
		#		And the user clicks the "Ok" option in the alert box
		## Continue
		And the user selects the data table of section: "Lines"
		And the user selects last editable cell with column header: "Ordered qty."
		And the user adds the text "1" in selected cell and hits tab key
		## get "Field error "Ordered qty." popup with Non-existent product on this site
		Given an alert box appears
		And the user clicks the "Ok" option in the alert box
		## Cannot carry on so have to cancel
		Then the user clicks the "Cancel" main action button on the right panel
		#Close the function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Import corrective data (ITF)
		#Open function by code
		Given the user opens the "GIMPOBJ" function
		Then the user waits 30 seconds
		And the user selects the text field with name: "Template"
		And the user writes "ITF" to the selected text field and hits tab key
		# Pick Server location
		Given the user selects the radio buttons group with X3 field name: "IMPOBJ_TYPEXP"
		When the user clicks on "Server" radio button of the selected radio buttons group
		Then the radio button "Server" of the selected radio buttons group is selected
		And the radio button "Client" of the selected radio buttons group is not selected
		#  Provide the filename
		And the user selects the text field with name: "Data file"
		And the user writes "[TMP]/mzITFmport.txt" to the selected text field
		Then the user clicks the "OK" button in the header
		And the user waits 20 seconds
		#  The import job should then run and produce a log file
		Then a log panel appears
		## check 2 records created
		Given the user selects the main data table of the page
		Then the user selects row that has the text "created" in column with X3 field name: "LECFIC_LIGNE"
		And the user selects cell with X3 field name: "LECFIC_LIGNE" of selected row
		And the value of the selected cell has string pattern "2 records created"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Check creating Sales Order now works OK
		#Open Sales order function
		Given the user opens the "GESSOH" function

		#Select sales order transaction
		When the user selects the data table in the popup
		Then the user selects cell with text: "ALL Full entry" and column header: ""
		And the user clicks on the selected cell
		Then the "Sales order ALL : Full entry" screen is displayed

		#Entering in creation mode.
		When the user clicks the "New" main action button on the right panel

		#Set header information
		Then the user selects the text field with name: "Sales site"
		And the user writes "GB022" to the selected text field
		And the user selects the text field with name: "Sold-to"
		And the user writes "GB007" to the selected text field

		# Select management section
		Then the user clicks the "Management" tab selected by title
		And the user selects the text field with name: "Tax rule"
		And the value of the selected text field is "DMG"

		# Set delivery information
		Then the user clicks the "Delivery" tab selected by title
		And the user selects the text field with name: "Shipment site"
		And the user writes "GB022" to the selected text field

		# Create line 1
		When the user clicks the "Lines" tab selected by title
		When the user selects the fixed data table of section: "Lines"
		Then the user selects last fixed cell with header: "Product"
		And the user adds the text "ALUMSHEET" in selected cell and hits tab key
		## Ignoring the "ALUMSHEET : Access to this Product unauthorized (Obsolete)" message
		Given an alert box appears with the title "Warning"
		And the user clicks the "Ok" option in the alert box
		## Fix for problem ?
		# Then an alert box with the text containing "Mandatory field" appears
		# And the user clicks the "Ok" option in the alert box
		## Continue
		And the user selects the data table of section: "Lines"
		And the user selects last editable cell with column header: "Ordered qty."
		And the user adds the text "1" in selected cell and hits tab key
		## Nil price
		Then an alert box with the text containing "Nil price!" appears
		And the user clicks the "Ok" option in the alert box

		##  Create line 2
		When the user selects the fixed data table of section: "Lines"
		Then the user selects last fixed cell with header: "Product"
		And the user adds the text "APPLEWATCHSP" in selected cell and hits tab key
		## Ignoring the "APPLEWATCHSP : Access to this Product unauthorized (Obsolete)" message
		Given an alert box appears with the title "Warning"
		And the user clicks the "Ok" option in the alert box
		## Fix for problem ?
		Then an alert box with the text containing "Mandatory field" appears
		And the user clicks the "Ok" option in the alert box
		## Continue
		And the user selects the data table of section: "Lines"
		And the user selects last editable cell with column header: "Ordered qty."
		And the user adds the text "2" in selected cell and hits enter key
		## Save record
		Then the user clicks the "Create" main action button on the right panel
		And a confirmation dialog appears with the message "Record has been created"

		#Save the sales order reference in the stored parameter
		And the user selects the text field with name: "Number"
		Then the user stores the value of the selected text field with the key: "ENV_MZSOHNUM"

		#Close the function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Logout scenario
		#  Logout
		Then the user logs-out from the system
