###########################################################################
# Header
# -------------------------------------------------------------------------
# - Test code    : PatchTest16.feature
# - Description  : Check Accounting Tasks
# - Created by   : Mike Shaw
# - Created date : 07 January 2021
#
###########################################################################

Feature: Test16 : Check Accounting Tasks

	Scenario: Login scenario
		#  Login
		Given the user is logged into Sage X3 with "param:loginType" using user name "param:loginUserName" and password "param:loginPassword"
		When the user selects the "param:endPointName1" entry on endpoint panel
		Then the "param:endPointName1" endpoint is selected

	Scenario: Open Accounting Tasks and deactivate
		# Open function by code
		Given the user opens the "VALPCE" function
		Then the user waits 30 seconds
		# Check the "journals on hold" value is zero
		Given the user selects the fixed data table in the popup
		When the user selects first row of the selected data table
		And the user selects cell with header: "Task" of selected row
		Then the value of the selected cell is "ACCENTRY01"
		And the user selects cell with header: "Journals on hold" of selected row
		Then the value of the selected cell is "0"
		# Check it is active
		And the user selects cell with header: "Recurring task status" of selected row
		Then the value of the selected cell is "Active"
		# Deactivate Accounting Tasks
		Given the user clicks the "Deactivate" button in the header
		When an alert box with the text "Stop accounting tasks" appears
		Then the user clicks the "Yes" option in the alert box
		# Check it is deactivated
		When the user selects first row of the selected data table
		And the user selects cell with header: "Recurring task status" of selected row
		Then the value of the selected cell is "Inactive"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Duplicate a Customer BP invoice
		# Open function by code
		Given the user opens the "GESBIC" function
		Then the user waits 30 seconds
		# Left list selection
		Given the user selects the data table of left panel
		When the user clicks the "Customer BP invoices" link on the left panel
		Then the user selects search cell with header: "Document no."
		And the user adds the text "SIN1402GB000030" in selected cell and hits enter key
		And the user selects cell with column header: "Document no." and row number: 1
		And the user clicks on the selected cell
		#Duplicate the invoice
		Then the user selects the text field with name: "Document no."
		And the user writes "" to the selected text field and hits enter key
		Then an alert box with the text "Continue and confirm the duplication?" appears
		And the user clicks the "Yes" option in the alert box
		# Save the Invoice Ref. in a stored parameter
		And the user selects the text field with name: "Document no."
		And the value of the selected text field is stored
		Then the user stores the value of the selected text field with the key: "ENV_MZINVNUM"
		# Post the invoice
		Given the user clicks the "Post" button in the header
		#       Couldn't get this to work
		#  Then an alert box with the text containing "Validate Invoice" and the stored text value with key "ENV_MZINVNUM" appears
		Then an alert box with the text containing "Validate Invoice" and the stored text value appears
		And the user clicks the "Yes" option in the alert box
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Open Accounting Tasks and reactivate
		# Open function by code
		Given the user opens the "VALPCE" function
		# Check the "journals on hold" value is zero
		Given the user selects the fixed data table in the popup
		When the user selects first row of the selected data table
		And the user selects cell with header: "Task" of selected row
		Then the value of the selected cell is "ACCENTRY01"
		And the user selects cell with header: "Journals on hold" of selected row
		Then the value of the selected cell is "1"
		# Check it is Inactive
		And the user selects cell with header: "Recurring task status" of selected row
		Then the value of the selected cell is "Inactive"
		# Activate Accounting Tasks
		Given the user clicks the "Activate" button in the header
		When an alert box with the text "Start accounting tasks" appears
		Then the user clicks the "Yes" option in the alert box
		# Check it is now activated
		Then the user waits 20 seconds
		When the user selects first row of the selected data table
		And the user selects cell with header: "Recurring task status" of selected row
		Then the value of the selected cell is "Active"
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Check the Customer BP invoice accounting document to confirm its processed
		# Open function by code
		Given the user opens the "GESBIC" function
		# Left list selection
		Given the user selects the data table of left panel
		When the user clicks the "Customer BP invoices" link on the left panel
		Then the user selects search cell with header: "Document no."
		#		And the user adds the text "SIN1402GB000030" in selected cell and hits enter key
		And the user adds the stored text with key "ENV_MZINVNUM" in selected cell and hits enter key
		And the user selects cell with column header: "Document no." and row number: 1
		And the user clicks on the selected cell
		Then the user selects the text field with name: "Document no."
		Then the user opens the header drop down
#		Then the user opens the "ZOOM" section on the right panel
		And the user clicks the "Accounting document" secondary action button on the right panel
		Then the "Journal entry STDCO : Column complete transaction" screen is displayed
		Given the user selects the text field with name: "Number"
		Then the value of the selected text field matches the stored text with key "ENV_MZINVNUM"
		Then the user clicks the Close page action icon on the header panel
		# Close the main function
		Then the user clicks the Close page action icon on the header panel

	Scenario: Logout scenario
		#  Logout
		Then the user logs-out from the system
